Subject: Re: [bug#61009] [PATCH] Building Icecat and jemalloc on aarch64-linux

From: Roman Scherer <[email-masked]>
Date: Mon, 06 Feb 2023 20:52:43 +0100

Hi Leo,

thanks for your reply. Ok, I understand. I try to see if I can disable
it in some other way then. Are you familiar with this? Do you have any
tips to share?

I think the v2 patches about transparent huge pages for jemalloc could
still be an improvement, if it's a compatible change. It would enable
the use of rust substitutes that depend on jemalloc on aarch64 that run
with kernel pages > 4K.

Roman

Leo Famulari <[email-masked]> writes:

> On Sun, Jan 22, 2023 at 09:06:43PM +0100, Roman Scherer wrote:
>> 2. Disable EME on aarch64-linux
>>
>> I removed the --disable-eme option on aarch64-linux because the configure
>> script failed an error saying this option is not supported on this
>> architecture. Since EME stands for Encrypted Media Extensions and is a
>> JavaScript API for playing DRMed video content in HTML, I'm not sure if this
>> is ok, or what to best do here?
>
> Guix adheres to the Free System Distribution Guidelines, which
> explicitly forbids browsers with EME support:
>
> https://guix.gnu.org/en/about/
> https://www.gnu.org/distros/free-system-distribution-guidelines.en.html
>
> Unfortunately, I don't know the answers to your other questions.